#### A COVID-19 tracker using the corona.lmao.ninja API

This is a COVID-19 tracker for Linux, allowing you to track, review and save statistics for your country, others or worldwide.

I wrote this application mostly to get as much data about the COVID-19 outbreak as possible and try to present it in a clean manner. I hope you'll enjoy using it too.

As of 2022-06-10 this project is archived. The pandemic seems to be mostly under control, and people seem to have largely lost interest in the COVID-19 infection statistics. I am no different. This is why I find it prudent to sunset this project. I hope it has been useful to some, but I will no longer maintain this project in any meaningful capacity.

#### Stats accuracy

The data files are retrieved from corona.lmao.ninja which in turn receives its data from the Johns Hopkins University over at [GitHub](https://github.com/CSSEGISandData/COVID-19). Basically every application uses these, and I am also cross-verifying this. So far all the data appears consistent, although the stats from this program are more detailed than most others.

Over time there has been an inconsistency in Germany's stats however - most notably the new cases (on column 2) and the difference between the total cases (on column 3). Normally these should match exactly, and it's easy to see why. Column 3 on the Total stats is calculated from the difference between the total cases that day, and the day before. So basically the result is the stats that got added that day. This should normally be exactly the same as the new stats for that day (queried directly from the API), and for pretty much every other country it is. However, the new cases as reported by Germany do differ, sometimes going as low as double digits (which is insane for a country that large).

It's up to you to choose which stats you wish to go with, but personally I trust the calculated difference more. It also makes it apparent that Germany is not an exception in Western Europe, as much as the media tries to portray them as with their seemingly impressive stats. Not that the media is doing anything wrong there - the stats that Germany publishes do insinuate it. But they're most likely also a lie.

#### Dependencies

This application depends on `jq` to parse the JSON output from corona.lmao.ninja, and `bc` to run some calculations. Most distributions provide these programs from their repositories.

#### Installation

You can clone this repository to your computer using `git clone https://git.ghnou.su/ghnou/cv`. Afterwards you can run cv directly from it, without needing to install it. If you would like to install it, you can copy the program to `/usr/local/bin` or `~/.local/bin`.

From the cloned repository you can run the application using `./cv [country]`, e.g. `./cv Belgium`. For worldwide stats you can use `./cv` without arguments. Short country codes are also supported if you don't want to type the country out entirely. As such `./cv be` would work too.

#### Data Collection

This program does not track any personal data or contact my servers to function. You can read the source code to confirm this.

The API responses from corona.lmao.ninja are saved to your local machine for subsequent data retrievals in `~/Documents/cv`. This could be used to review stats from earlier days, and I'd like to implement a time-series view using these in the future.
